StarGraphicAttribute Namespace Reference documentation

Classes | Functions
StarGraphicAttribute Namespace Reference

namespace used to contain graphic attributes (and some cell attributes which are similar) More...

## Classes
class | StarGAttributeBool
| a character bool attribute More...
class | StarGAttributeBoxInfo
| a box info attribute More...
class | StarGAttributeColor
| a character color attribute More...
class | StarGAttributeCrop
| a crop attribute More...
class | StarGAttributeFraction
| an integer attribute More...
class | StarGAttributeInt
| a character integer attribute More...
class | StarGAttributeItemSet
| a list of item attribute of StarAttributeInternal More...
class | StarGAttributeNamed
| a named attribute More...
class | StarGAttributeNamedArrow
| a arrow's named attribute More...
class | StarGAttributeNamedBitmap
| a bitmap's named attribute More...
class | StarGAttributeNamedColor
| a color's named attribute More...
class | StarGAttributeNamedDash
| a dash's named attribute More...
class | StarGAttributeNamedGradient
| a gradient's named attribute More...
class | StarGAttributeNamedHatch
| a hatch's named attribute More...
class | StarGAttributeUInt
| a character unsigned integer attribute More...
class | StarGAttributeVoid
| a void attribute More...

## Functions
void | addAttributeBool (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, bool defValue)
| add a bool attribute More...
void | addAttributeColor (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, STOFFColor const &defValue)
| add a color attribute More...
void | addAttributeFraction (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName)
| add a fraction attribute More...
void | addAttributeInt (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, int numBytes, int defValue)
| add a int attribute More...
void | addAttributeUInt (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, int numBytes, unsigned int defValue)
| add a unsigned int attribute More...
void | addAttributeVoid (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName)
| add a void attribute More...
void | addInitTo (std::map< int, std::shared_ptr< StarAttribute > > &whichToAttributeMap)
| adds graphic attribute to the general it to attribute map More...

## Detailed Description

namespace used to contain graphic attributes (and some cell attributes which are similar)

## Function Documentation

## ◆ addAttributeBool()

void StarGraphicAttribute::addAttributeBool | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | bool | defValue
| ) |  |
| inline

add a bool attribute

Referenced by addInitTo().

## ◆ addAttributeColor()

void StarGraphicAttribute::addAttributeColor | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | STOFFColor const & | defValue
| ) |  |
| inline

add a color attribute

## ◆ addAttributeFraction()

void StarGraphicAttribute::addAttributeFraction | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName
| ) |  |
| inline

add a fraction attribute

Referenced by addInitTo().

## ◆ addAttributeInt()

void StarGraphicAttribute::addAttributeInt | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | int | numBytes,
|  | int | defValue
| ) |  |
| inline

add a int attribute

Referenced by addInitTo().

## ◆ addAttributeUInt()

void StarGraphicAttribute::addAttributeUInt | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | int | numBytes,
|  | unsigned int | defValue
| ) |  |
| inline

add a unsigned int attribute

Referenced by addInitTo().

## ◆ addAttributeVoid()

void StarGraphicAttribute::addAttributeVoid | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName
| ) |  |
| inline

add a void attribute

Referenced by addInitTo().

## ◆ addInitTo()

void StarGraphicAttribute::addInitTo | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map | ) |

adds graphic attribute to the general it to attribute map

Referenced by StarAttributeInternal::State::initAttributeMap().